org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDOList

- All Superinterfaces:
    CDOList, java.util.Collection<java.lang.Object>, EList<java.lang.Object>, java.lang.Iterable<java.lang.Object>, java.util.List<java.lang.Object>, MoveableList<java.lang.Object>
  All Known Subinterfaces:
    InternalCDOList.ConfigurableEquality

      public interface InternalCDOList
      extends CDOList

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Simon McDuff

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `InternalCDOList.ConfigurableEquality` A mix-in interface for `InternalCDOList` that allows to optimize the speed of equality checks.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `UNINITIALIZED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `adjustReferences(CDOReferenceAdjuster adjuster, EStructuralFeature feature)` Adjusts references according to the passed adjuster and resynchronizes indexes.
    `InternalCDOList` | `clone(EClassifier classifier)` Clones the list.
    `void` | `freeze()`
    `void` | `setWithoutFrozenCheck(int i, java.lang.Object value)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOList

      `get`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.MoveableList

      `move`

    - ### Methods inherited from interface org.eclipse.emf.common.util.EList

      `move, move`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Field Detail

    - #### UNINITIALIZED

          static final java.lang.Object UNINITIALIZED

  - ### Method Detail

    - #### adjustReferences

          boolean adjustReferences(CDOReferenceAdjuster adjuster,
                                   EStructuralFeature feature)

      Adjusts references according to the passed adjuster and resynchronizes indexes.
      Since:
        4.0

    - #### clone

          InternalCDOList clone(EClassifier classifier)

      Clones the list.

    - #### freeze

          void freeze()

      Since:
        4.0

    - #### setWithoutFrozenCheck

          void setWithoutFrozenCheck(int i,
                                     java.lang.Object value)

      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html